# Uses of Enum Class
org.bukkit.event.entity.CreeperPowerEvent.PowerCause

Packages that use CreeperPowerEvent.PowerCause
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of CreeperPowerEvent.PowerCause in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return CreeperPowerEvent.PowerCause
Modifier and Type
Method
Description
`@NotNull CreeperPowerEvent.PowerCause`
CreeperPowerEvent.`getCause()`
Gets the cause of the creeper being (un)powered.
`static CreeperPowerEvent.PowerCause`
CreeperPowerEvent.PowerCause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CreeperPowerEvent.PowerCause[]`
CreeperPowerEvent.PowerCause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.entity with parameters of type CreeperPowerEvent.PowerCause
Modifier
Constructor
Description
``
`CreeperPowerEvent(@NotNull Creeper creeper, @NotNull LightningStrike bolt, @NotNull CreeperPowerEvent.PowerCause cause)`
``
`CreeperPowerEvent(@NotNull Creeper creeper, @NotNull CreeperPowerEvent.PowerCause cause)`